Author: ngie
Date: Fri Jan 1 02:22:45 2016
New Revision: 293028
URL: https://svnweb.freebsd.org/changeset/base/293028
Log:
- Use geom <class> load instead of g<class> load; g<class> doesn't exist
for all geom classes, e.g. geom_uzip(4)
- These tests require root. Skip all of the tests if they're run as non-root
MFC after: 2 weeks
Sponsored by: EMC / Isilon Storage Division
Modified:
head/tools/regression/geom_subr.sh
Modified: head/tools/regression/geom_subr.sh
==============================================================================
--- head/tools/regression/geom_subr.sh Fri Jan 1 01:04:53 2016
(r293027)
+++ head/tools/regression/geom_subr.sh Fri Jan 1 02:22:45 2016
(r293028)
@@ -1,7 +1,12 @@
#!/bin/sh
# $FreeBSD$
-kldstat -q -m g_${class} || g${class} load || exit 1
+if [ $(id -u) -ne 0 ]; then
+ echo 'Tests must be run as root'
+ echo 'Bail out!'
+ exit 1
+fi
+kldstat -q -m g_${class} || geom ${class} load || exit 1
devwait()
{
_______________________________________________
[email protected] mailing list
https://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "[email protected]"